UUIDGenerator (Apache Tomcat 9.0.106 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.util, class: UUIDGenerator

# Class UUIDGenerator

java.lang.Object
org.apache.catalina.tribes.util.UUIDGenerator

public class UUIDGenerator extends Object
Smple generation of a UUID.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BITS_PER_BYTE`
  `static final int`
  `BYTES_PER_INT`
  `protected static final Random`
  `rand`
  `protected static final SecureRandom`
  `secrand`
  `protected static final StringManager`
  `sm`
  `static final int`
  `UUID_LENGTH`
  `static final int`
  `UUID_VERSION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UUIDGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `nextBytes(byte[] into, int offset, int length, Random r)`
  Same as java.util.Random.nextBytes except this one we don't have to allocate a new byte array
  `static byte[]`
  `randomUUID(boolean secure)`
  `static byte[]`
  `randomUUID(boolean secure, byte[] into, int offset)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sm

    protected static final StringManager sm

  - ### UUID_LENGTH

    public static final int UUID_LENGTH
    See Also:
      - Constant Field Values

  - ### UUID_VERSION

    public static final int UUID_VERSION
    See Also:
      - Constant Field Values

  - ### BYTES_PER_INT

    public static final int BYTES_PER_INT
    See Also:
      - Constant Field Values

  - ### BITS_PER_BYTE

    public static final int BITS_PER_BYTE
    See Also:
      - Constant Field Values

  - ### secrand

    protected static final SecureRandom secrand

  - ### rand

    protected static final Random rand

- ## Constructor Details

  - ### UUIDGenerator

    public UUIDGenerator()

- ## Method Details

  - ### randomUUID

    public static byte[] randomUUID(boolean secure)

  - ### randomUUID

    public static byte[] randomUUID(boolean secure, byte[] into, int offset)

  - ### nextBytes

    public static void nextBytes(byte[] into, int offset, int length, Random r)
    Same as java.util.Random.nextBytes except this one we don't have to allocate a new byte array
    Parameters:
      `into` - byte[]
      `offset` - int
      `length` - int
      `r` - Random